/*****************************************************************************************************************************************************************************************
** Auteur : Durhône Jérôme
** Date : 05/07/2022
** Titre : Interface Client pour sélection de scénarios d'éclairage sur la piste de Métabief. Partie JavScript
*****************************************************************************************************************************************************************************************/

/********************************************** Fonctions Initialisation *****************************************************************************************************************/

/*initialisations*/
    /*let Unite_NumDossier;*/
    var Securite_Confirm = 0;

    function InitIdBp()     /*initialisation des boutons de scénarios en mode OFF */
    {
        /*Affiche tout les boutons en mode OFF*/
        var Longueur = document.getElementsByClassName("Scenario_Bouton_Off");
        for (var i = 0; i < Longueur.length; i++)
        {
            var ScenarioBoutonOff = document.getElementsByClassName("Scenario_Bouton_Off")[i];
               ScenarioBoutonOff.style.display = "";
        }

        /*Cache tout les boutons en mode On*/
        var Longueur = document.getElementsByClassName("Scenario_Bouton_On");
        for (var i = 0; i < Longueur.length; i++)
        {
            var ScenarioBoutonOn = document.getElementsByClassName("Scenario_Bouton_On")[i];
            ScenarioBoutonOn.style.display = "none";
        }
    }

    function InitIntensite()    /*initialisation des boutons d'intensité */
    {
        /*Affiche tout les boutons en mode OFF*/
        var Longueur = document.getElementsByClassName("Intensite_Off");
        for (var i = 0; i < Longueur.length; i++)
        {
            var ScenarioBoutonOn = document.getElementsByClassName("Intensite_Off")[i];
            ScenarioBoutonOn.style.display = "";
        }

        /*Cache tout les boutons en mode On*/
        var Longueur = document.getElementsByClassName("Intensite_On");
        for (var i = 0; i < Longueur.length; i++)
        {
            var ScenarioBoutonOn = document.getElementsByClassName("Intensite_On")[i];
            ScenarioBoutonOn.style.display = "none";
        }
    }

/********************************************** Fonctions de gestion de page *************************************************************************************************************/

    function AffichagePage(PageX_On,Selection_PageX_Off,Selection_PageX_On) /*gestion des pages */
    {
        /*Cache toutes les pages */
        var Longueur = document.getElementsByClassName("Page");
        for (var i = 0; i < Longueur.length; i++)
        {
            var Page = document.getElementsByClassName("Page")[i];
            Page.style.display = "none";
        }

        /*affichage boutons correspondants: */
        /*affiche tout les boutons de sélection de page en mode OFF*/
        var Longueur = document.getElementsByClassName("Bouton_Selection_Off");
        for (var i = 0; i < Longueur.length; i++)
        {
            var BoutonSelectionOff = document.getElementsByClassName("Bouton_Selection_Off")[i];
            BoutonSelectionOff.style.display = "";
        }

        /*cache tout les boutons de sélection de page en mode ON*/
        var Longueur = document.getElementsByClassName("Bouton_Selection_On");
        for (var i = 0; i < Longueur.length; i++)
        {
            var BoutonSelectionOn = document.getElementsByClassName("Bouton_Selection_On")[i];
            BoutonSelectionOn.style.display = "none";
        }

        
        PageX_On.style.display = "" ;                       /*Affiche la Page souhaitée */
        Selection_PageX_Off.style.display = "none" ;        /*Cache le mode OFF du bouton de sélection de page correspondant */
        Selection_PageX_On.style.display = "" ;             /*Affiche le mode ON du bouton de sélection de page correspondant */
    }

/********************************************** Fonctions Bouton sécurité ****************************************************************************************************************/

    function Securite(NumDossier) /*Gestion du bouton de sécurité*/
    {
        /*initialise tout les boutons de scénarios*/
        InitIdBp();                                         

        /*Permet d'afficher le bouton sécurité en mode ON */
        Securite_Off.style.display = "none" ;
        Securite_On.style.display = "" ;

        /*Permet d'afficher le bouton de sécurité en visualisation de scénario actuel*/
        Securite_Confirm = 1;                               
        VisualisationScenarioActuel();

        /*Permet de communiquer le numéro de dossier souhaité de la page web vers le lecteur multimédia (ici on communique le numéro de dossier du bouton de sécurité)*/
        IDAL.getControlInterfaces("localhost", "admin", "luge25370")  
        .then(function(ifaces) 
        {

            ifaces.player.playFolder(NumDossier); 
            ifaces.player.play()
        });

        /*Même fonction que précédemment mais en envoyant le numéro de dossier via l'adresse ip du lecteur multimédia*/
        IDAL.getRemoteControlInterfaces("172.16.4.224", "admin", "luge25370")
        .then(function(ifaces) {

            // Il est maintenant par example possible de contrôler la lecture vidéo:
            ifaces.player.playFolder(NumDossier); 
            ifaces.player.play()
        });
    }

/********************************************** Fonctions liés au PopUp *****************************************************************************************************************/

    function Interaction_boutons_Scenarios(BoutonX_Confirm) /*Gestion des boutons de scénarios*/
    {
        /*Permet de masquer le bouton de sécurité en visualisation de scénario actuel*/
        Securite_Confirm = 0;

        /*Affiche le PopUp de confirmation correspondant au bouton scénario séléctionné*/
        BoutonX_Confirm.style.display = "" ;
        Pop_Up.style.display = "" ;
        Fond_Pop_Up.style.display = "";
    }

    function Intensite(ChoixIntensite_Off,ChoixIntensite_On,ValeurIntensite) /*Gestion des boutons d'intensité*/
    {
        /*initialise tout les boutons d'intensité*/
        InitIntensite();

        /*affichage du bouton d'intensité sélectionné en mode On*/
        ChoixIntensite_Off.style.display = "none";
        ChoixIntensite_On.style.display = "";  

        /*prépare le numéro de dossier lié à l'intensité*/
        if(ValeurIntensite == 1)
        {
            Unite_NumDossier = 1;
        }
        else if(ValeurIntensite == 2)
        {
            Unite_NumDossier = 2;
        }
    }

    function Annulation(BoutonX_Confirm)    /*Gestion du bouton d'annulation*/
    {
        /*Ferme le PopUp actuellement ouvert*/
        BoutonX_Confirm.style.display = "none" ;
        Pop_Up.style.display = "none" ;
        Fond_Pop_Up.style.display = "none";

        /*Réinitialise l'alerte intensité qui s'affiche si l'utilisateur tente de confirmer sans selectionner aucune intensité*/
        var Longueur = document.getElementsByClassName("Label_Intensite");
        for (var i = 0; i < Longueur.length; i++)
        {
            document.getElementsByClassName("Label_Intensite")[i].style.display = "";
        }  
        Longueur = document.getElementsByClassName("Label_Intensite_Alerte");
        for (var i = 0; i < Longueur.length; i++)
        {
            document.getElementsByClassName("Label_Intensite_Alerte")[i].style.display = "none";
        }  
    }

    function Confirmation(BoutonX_Off,BoutonX_Confirm,BoutonX_On,Centaine_NumDossier,Dizaine_NumDossier) /*Gestion du bouton de confirmation*/
    {  
        /*Vérifie que l'utilisateur à bien sélectionné une intensité avant de confirmer*/
        var Verif_Intensite = 0;
        var Longueur = document.getElementsByClassName("Intensite_On");
            for (var i = 0; i < Longueur.length; i++)
            {
                if(document.getElementsByClassName("Intensite_On")[i].style.display == "")
                {
                    Verif_Intensite ++;
                }
            }

        if(Verif_Intensite != 0 || Arret_Confirm.style.display == "")       /*Si une intensité est bien sélectionnée*/
        {
            /*On initialise tout les boutons de scénarios*/
            InitIdBp();

            /*On met à jour la visualisation du scénario actuel*/
            VisualisationScenarioActuel();

            /*Met en mode ON le bouton scénario correspondant*/
            BoutonX_Off.style.display = "none"
            BoutonX_On.style.display = "" ;

            /*Ferme le PopUp*/
            BoutonX_Confirm.style.display = "none" ;
            Pop_Up.style.display = "none" ;
            Fond_Pop_Up.style.display = "none";

            /*Ré-Initialise les boutons intensité */
            InitIntensite();

            /*Réinitialise l'alerte intensité qui s'affiche si l'utilisateur tente de confirmer sans selectionner aucune intensité*/
            Longueur = document.getElementsByClassName("Label_Intensite");
            for (var i = 0; i < Longueur.length; i++)
            {
                document.getElementsByClassName("Label_Intensite")[i].style.display = "";
            }  
            Longueur = document.getElementsByClassName("Label_Intensite_Alerte");
            for (var i = 0; i < Longueur.length; i++)
            {
                document.getElementsByClassName("Label_Intensite_Alerte")[i].style.display = "none";
            }  

            /*Agence le numéro de dossier : -centaine: page et colonne,  -dizaine: bouton, -unité: intensité */
            var NumDossier = 100*parseInt(Centaine_NumDossier) + 10*parseInt(Dizaine_NumDossier) + parseInt(Unite_NumDossier);   

            /*Permet de communiquer le numéro de dossier souhaité de la page web vers le lecteur multimédia */
            IDAL.getControlInterfaces("localhost", "admin", "luge25370")  
            .then(function(ifaces) 
            {

                ifaces.player.playFolder(NumDossier); 
                ifaces.player.play()
            });

            /*Même fonction que précédemment mais en envoyant le numéro de dossier via l'adresse ip du lecteur multimédia*/
            IDAL.getRemoteControlInterfaces("172.16.4.224", "admin", "luge25370")
            .then(function(ifaces) 
            {

                // Il est maintenant par example possible de contrôler la lecture vidéo:
                ifaces.player.playFolder(NumDossier); 
                ifaces.player.play()
            });
        } 

        else    /*Si aucune intensité est sélectionnée*/
        {
            /*Affiche l'alerte intensité pour prévenir l'utilisateur qu'il tente actuellement de confirmer sans selectionner aucune intensité*/
            Longueur = document.getElementsByClassName("Label_Intensite");
            for (var i = 0; i < Longueur.length; i++)
            {
                document.getElementsByClassName("Label_Intensite")[i].style.display = "none";
            }  
            Longueur = document.getElementsByClassName("Label_Intensite_Alerte");
            for (var i = 0; i < Longueur.length; i++)
            {
                document.getElementsByClassName("Label_Intensite_Alerte")[i].style.display = "";
            }  
        }
    }   

    function VisualisationScenarioActuel()  /*Gestion de la visualisation du scénario actuellement actif*/
    {
        /*Scénario actuellement actif : Sécurité */
        var Longueur = document.getElementsByClassName("Effet_Actuel");
        if(Securite_Confirm == 1)
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Sécurité";
                EffetActuel.className += "Visualisation EffetActuel Securite_Previsualisation";
            }
        } 

        /*Scénario actuellement actif : Arret */
        else if(Arret_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Arret";
                EffetActuel.className += "Visualisation EffetActuel Arret_Previsualisation";
            }
        }

    /*Page1 PopUp*/
    /*Colonne 1*/

        /*Scénario actuellement actif : D11X */
        else if(D11X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ Blanche";
                EffetActuel.className += "Visualisation EffetActuel D11X_Previsualisation";
            }  
        }

        /*Scénario actuellement actif : D12X */
        else if(D12X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ rouge";
                EffetActuel.className += "Visualisation EffetActuel D12X_Previsualisation";
            }
        }
    

        /*Scénario actuellement actif : D13X */ 
        else if(D13X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ bleue";
                EffetActuel.className += "Visualisation EffetActuel D13X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D14X */ 
        else if(D14X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ jaune";
                EffetActuel.className += "Visualisation EffetActuel D14X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D15X */ 
        else if(D15X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ verte";
                EffetActuel.className += "Visualisation EffetActuel D15X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D16X */
        else if(D16X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ orange";
                EffetActuel.className += "Visualisation EffetActuel D16X_Previsualisation";
            }
        }
    

        /*Scénario actuellement actif : D17X */ 
        else if(D17X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ rose";
                EffetActuel.className += "Visualisation EffetActuel D17X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D18X */ /*
        else if(D18X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D18X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D19X */ /*
        else if(D19X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D19X_Previsualisation";
            }
        }
        */

    /*Colonne 2*/

        /*Scénario actuellement actif : D21X */ 
        else if(D21X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ franche comté v1";
                EffetActuel.className += "Visualisation EffetActuel D21X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D22X */ 
        else if(D22X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ métabief v1";
                EffetActuel.className += "Visualisation EffetActuel D22X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D23X */ 
        else if(D23X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ multicouleurs";
                EffetActuel.className += "Visualisation EffetActuel D23X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D24X */ 
        else if(D24X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ franche comté v2";
                EffetActuel.className += "Visualisation EffetActuel D24X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D25X */ 
        else if(D25X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ métabief v2";
                EffetActuel.className += "Visualisation EffetActuel D25X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D26X */ 
        else if(D26X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ feu follet";
                EffetActuel.className += "Visualisation EffetActuel D26X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D27X */ 
        else if(D27X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ franche comté v3";
                EffetActuel.className += "Visualisation EffetActuel D27X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D28X */ 
        else if(D28X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ métabief v3";
                EffetActuel.className += "Visualisation EffetActuel D28X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D29X */ 
        else if(D29X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fusée départ sanguin";
                EffetActuel.className += "Visualisation EffetActuel D29X_Previsualisation";
            }
        }
        
    /*Page2 PopUp*/
    /*Colonne 1*/

        /*Scénario actuellement actif : D31X */ 
        else if(D31X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Show Ouverture";
                EffetActuel.className += "Visualisation EffetActuel D31X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D32X */ 
        else if(D32X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Ambiance Métabief";
                EffetActuel.className += "Visualisation EffetActuel D32X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D33X */ 
        else if(D33X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Ambiance Franche Comté";
                EffetActuel.className += "Visualisation EffetActuel D33X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D34X */ /*
        else if(D34X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D34X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D35X */ /*
        else if(D35X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D35X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D36X */ /*
        else if(D36X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D36X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D37X */ /*
        else if(D37X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D37X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D38X */ /*
        else if(D38X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D38X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D39X */ /*
        else if(D39X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D39X_Previsualisation";
            }
        }
        */

    /*Colonne 2*/

        /*Scénario actuellement actif : D41X */ 
        else if(D41X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Ambiance Carnaval";
                EffetActuel.className += "Visualisation EffetActuel D41X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D42X */ 
        else if(D42X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Ambiance Noël";
                EffetActuel.className += "Visualisation EffetActuel D42X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D43X */ 
        else if(D43X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Ambiance St Valentin";
                EffetActuel.className += "Visualisation EffetActuel D43X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D44X */ 
        else if(D44X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Ambiance Halloween";
                EffetActuel.className += "Visualisation EffetActuel D44X_Previsualisation";
            }
        }
        

        /*Scénario actuellement actif : D45X */ /*
        else if(D45X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D45X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D46X */ /*
        else if(D46X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D46X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D47X */ /*
        else if(D47X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D47X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D48X */ /*
        else if(D48X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D48X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D49X */ /*
        else if(D49X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D49X_Previsualisation";
            }
        }
        */
    /*Page3 PopUp*/
    /*Colonne 1*/

        /*Scénario actuellement actif : D51X */ 
        else if(D51X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe Blanc";
                EffetActuel.className += "Visualisation EffetActuel D51X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D52X */ 
        else if(D52X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe rouge";
                EffetActuel.className += "Visualisation EffetActuel D52X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D53X */ 
        else if(D53X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe Bleu";
                EffetActuel.className += "Visualisation EffetActuel D53X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D54X */ 
        else if(D54X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe Jaune";
                EffetActuel.className += "Visualisation EffetActuel D54X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D55X */ 
        else if(D55X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe Vert";
                EffetActuel.className += "Visualisation EffetActuel D55X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D56X */ 
        else if(D56X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe Orange";
                EffetActuel.className += "Visualisation EffetActuel D56X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D57X */ 
        else if(D57X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Fixe Rose";
                EffetActuel.className += "Visualisation EffetActuel D57X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D58X */ /*
        else if(D58X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D58X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D59X */ /*
        else if(D59X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D59X_Previsualisation";
            }
        }
        */

    /*Colonne 2*/

        /*Scénario actuellement actif : D61X */ 
        else if(D61X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Blanc";
                EffetActuel.className += "Visualisation EffetActuel D61X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D62X */ 
        else if(D62X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Rouge";
                EffetActuel.className += "Visualisation EffetActuel D62X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D63X */ 
        else if(D63X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Bleu";
                EffetActuel.className += "Visualisation EffetActuel D63X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D64X */ 
        else if(D64X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Jaune";
                EffetActuel.className += "Visualisation EffetActuel D64X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D65X */ 
        else if(D65X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Vert";
                EffetActuel.className += "Visualisation EffetActuel D65X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D66X */ 
        else if(D66X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Orange";
                EffetActuel.className += "Visualisation EffetActuel D66X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D67X */ 
        else if(D67X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "Scintillement Rose";
                EffetActuel.className += "Visualisation EffetActuel D67X_Previsualisation";
            }
        }

        /*Scénario actuellement actif : D68X */ /*
        else if(D68X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D68X_Previsualisation";
            }
        }
        */

        /*Scénario actuellement actif : D69X */ /*
        else if(D69X_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel D69X_Previsualisation";
            }
        }
        */


    /*EXEMPLE*/
    
        /*
        else if(DXXX_Confirm.style.display == "")
        {
            for (var i = 0; i < Longueur.length; i++)
            {
                var EffetActuel = document.getElementsByClassName("Effet_Actuel")[i];
                var Texte_Effet_Actuel = document.getElementsByClassName("Texte_Effet_Actuel")[i];
                Texte_Effet_Actuel.innerHTML = "___";
                EffetActuel.className += "Visualisation EffetActuel DXXX_Previsualisation";
            }
        }
        */    
    }


/* les scénarios sont actuellement catégiorisés de la manière suivante :
dossier             000 : lancement
                    001 : fermeture
                    002 : arret
chiffre des centaines : organisation page + colonne.    1 = page1, colonne1
                                                        2 = page1, colonne2
                                                        3 = page1, colonne1
                                                        4 = page1, colonne2
                                                        5 = page1, colonne1
                                                        6 = page1, colonne2
chiffre des dizaines : organisation Boutons dans une colonne. (de 1 à 9) 
chiffre des unités : organisation Intensité pour chaque bouton. (1 = intensité Moyenne, 2 = intensité Forte)                                                          
*/
